<template>
  <div id="info">
    <div class="tree-wrapper">
      <div class="tree">
        <h3>FAQ</h3>
        <ul>
          <li>
            <h4 v-on:click="goTo('logins')">Login</h4>
            <ul>
              <li v-on:click="goTo('registration')">Registration</li>
            </ul>
          </li>
          <li>
            <h4 v-on:click="goTo('parcels')">Parcel Tracking</h4>
            <ul class="first">
              <li>
                <h4 v-on:click="goTo('sent')"> How to </h4>
                <ul>
                  <li v-on:click="goTo('sent-track')">Parcel Tracking</li>
                  <li v-on:click="goTo('sent-list')">Parcel List</li>
                </ul>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
    <div id="info-doc">
      <div class="content-wrap">
        <h1 id="logins">Login</h1>
        <p class="h1txt">
          To login clicke the "login" button on the tab navigator,
          After that insert your email and password. <br/>
          If succeded you will be returned to the mail page
        </p>
        <div>
          <h2 id="registration">Registration</h2>
          <p class="h2txt">
            To registrate,  start the login procedure, you will notice a register link
            in the form, hit it. <br/>
            Complete the form and hit the submit button, a mail will be sent to you whit
            the password and the user name (your email).
          </p>
        </div>
      </div>
      <div class="content-wrap">
        <h1 id="tracking">Parcel Tracking</h1>
        <div class="content-wrap">
          <h2 id="sent">How to</h2>
          <p class="h2txt">
          to start tracking parcels, login. After that hit on the
          "i have sent something" or "i am waiting for something" text.
          <br/> You will be redirected on a list of your sent parcels or to the tracking pag
          </p>
          <div class="content-wrap">
            <h3 id="sent-tracking">Tracking</h3>
            <p>
              Once on the "i am waiting for something" page,  paste your tracking ID and
              hit enter, you will be redirected on the detail page
            </p>
          </div>
          <div class="content-wrap">
            <h3 id="sent-list">Parcels List</h3>
            <p>
              Once on the "i am waiting for something" page (must be logged in),
              you can see a list of your sent parcels. <br/>
              In this list you can chose to go to the details,  or to filter your parcels by
              date, tracking number, status, and payed status.
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Info',
  methods: {
    goTo(id) {
      document.getElementById(id).scrollIntoView();
    },
  },
};
</script>

<style scoped>
@import "../CSS/Info.css";
</style>
